using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_YongHu_YongHuJieGou : System.Web.UI.Page
{
    private 访问 访问;
    private String SQL = "SELECT [ID],[数据名称],[数据类型],[备注],[是否注册项],[是否允许重复],[是否修改资料项] FROM [" + 程序.数据表前缀 + "社区_用户_资料结构]";
    private String 数量SQL = "SELECT COUNT(ID) FROM [" + 程序.数据表前缀 + "社区_用户_资料结构]";
    private String 排序 = " [ID]";
    public int 总访问数;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("管理用户资料结构", "网站后台", "管理用户资料结构", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void ZhiXing()
    {
        访问.验证管理员();
        生成排序();
        if (!this.IsPostBack)
            生成数据();
    }
    private void 生成排序()
    {
        String 字段 = Request.QueryString["zd"];
        if (字段 == null || 字段 == "")
            return;
        bool 方向 = Convert.ToBoolean(Request.QueryString["fx"]);
        排序 = "[" + 字段 + "]" + (方向 ? " DESC" : "");
        if (!this.IsPostBack)
        {
            PaiXuZiDuan.Value = 字段;
            PaiXuFangXiang.Value = 方向.ToString();
        }
    }
    private void 生成数据()
    {
        SqlCommand 语句 = new SqlCommand(数量SQL, 访问.连接);
        后台分页 分页 = new 后台分页(Convert.ToInt32(语句.ExecuteScalar()),
            Convert.ToInt32(Request.QueryString["page"]),
            10,
            "YongHuJieGou.aspx?zd=" + Server.UrlEncode(PaiXuZiDuan.Value) + "&fx=" + PaiXuFangXiang.Value);

        DataSet 数据 = new DataSet();
        语句 = new SqlCommand(SQL + " ORDER BY" + 排序, 访问.连接);

        SqlDataAdapter 填充 = new SqlDataAdapter(语句);
        填充.Fill(数据, (分页.当前页 - 1) * 10, 10, "用户资料结构");

        GridView1.DataSource = 数据;
        GridView1.DataBind();

        FenYeDaiMa.Text = 分页.生成代码();
    }
    protected void GridView1_Sorting(object sender, GridViewSortEventArgs e)
    {
        排序 = "[" + e.SortExpression + "]";

        if (PaiXuZiDuan.Value == e.SortExpression && (!Convert.ToBoolean(PaiXuFangXiang.Value)))
        {
            排序 += " DESC";
            PaiXuFangXiang.Value = "true";
        }
        else
        {
            排序 += "";
            PaiXuFangXiang.Value = "false";
        }

        PaiXuZiDuan.Value = e.SortExpression;

        访问.连接.Open();

        访问.排错调用(new 访问.回调委托(生成数据));

        访问.关闭连接();
    }
}
